Bug 192545 - selinux breaks prelink
selinux breaks prelink
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-20 07:26 EDT by drago01
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 14:57:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description drago01 2006-05-20 07:26:24 EDT
Description of problem:
Selinux prevents prelinks from working correctly.
dmesg | audit2allow prints this:
allow prelink_t lib_t:file execute_no_trans;
Can this be added to the policy to fix it?
When prelink runs I get tons of such avcs
audit(1148111149.044:3298): avc:  denied  { execute_no_trans } for  pid=7141
comm="prelink" name="ld-2.4.so" dev=md0 ino=8061236
scontext=system_u:system_r:prelink_t:s0 tcontext=system_u:object_r:lib_t:s0
tclass=file

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.2.38-1.fc5

How reproducible:
always

Steps to Reproduce:
1. wait until prelinks starts
2. look at dmesg
3. notice the erros
  
Actual results:
avcs

Expected results:
no avcs

Additional info:
I already posted it to the selinux-list but it seems to get ignored so I hope I
will get more feedback here.
Comment 1 Daniel Walsh 2006-05-23 16:04:27 EDT
Fixed in selinux-policy-targeted-2.2.42-2.fc5

chcon -t ld_so_t /lib64/ld-2.4.so

Should fix it also.


Note You need to log in before you can comment on or make changes to this bug.